org.bouncycastle.asn1.crmf

## Class SinglePubInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.crmf.SinglePubInfo

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class SinglePubInfo
      extends ASN1Object

       SinglePubInfo ::= SEQUENCE {
              pubMethod    INTEGER {
                 dontCare    (0),
                 x500        (1),
                 web         (2),
                 ldap        (3) },
             pubLocation  GeneralName OPTIONAL }

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1Integer` | `dontCare`
    `static ASN1Integer` | `ldap`
    `static ASN1Integer` | `web`
    `static ASN1Integer` | `x500`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SinglePubInfo(ASN1Integer pubMethod, GeneralName pubLocation)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SinglePubInfo` | `getInstance(java.lang.Object o)`
    `GeneralName` | `getPubLocation()`
    `ASN1Integer` | `getPubMethod()`
    `ASN1Primitive` | `toASN1Primitive()` Return the primitive representation of SinglePubInfo.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dontCare

          public static final ASN1Integer dontCare

    - #### x500

          public static final ASN1Integer x500

    - #### web

          public static final ASN1Integer web

    - #### ldap

          public static final ASN1Integer ldap

  - ### Constructor Detail

    - #### SinglePubInfo

          public SinglePubInfo(ASN1Integer pubMethod,
                               GeneralName pubLocation)

  - ### Method Detail

    - #### getInstance

          public static SinglePubInfo getInstance(java.lang.Object o)

    - #### getPubMethod

          public ASN1Integer getPubMethod()

    - #### getPubLocation

          public GeneralName getPubLocation()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Return the primitive representation of SinglePubInfo.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a basic ASN.1 object representation.